ANSI_RED="\033[0;31m"
ANSI_WHITE="\033[1;39m"
ANSI_GREEN="\033[0;32m"
ANSI_YELLOW="\033[0;33m"
ANSI_GRAY="\033[1;30m"
ANSI_LIGHT_GRAY="\033[0;37m"
ANSI_CYAN="\033[0;36m"
ANSI_LIGHT_CYAN="\033[1;36m"
ANSI_STOP="\033[0m"

URL="http://dev.artisan.karma-lab.net/webdav/"

function execute {
  echo -en $1
  echo -e $2 | cadaver $URL 2>&1 > result.log
  if [ $? -ne 0 ] ; then
    echo -e " [${ANSI_RED}FAILED${ANSI_STOP}]";
    exit;
  fi
}

function check_has_string {
  res=$(cat result.log | grep "$1")
  if [ -z "$res" ] ; then
    echo -e " [${ANSI_RED}KO${ANSI_STOP}]";
    cat result.log | more
    exit
  else
    echo -e " [${ANSI_GREEN}OK${ANSI_STOP}]"  
  fi  
}

function check_has_not_string {
  res=$(cat result.log | grep "$1")
  if [ -z "$res" ] ; then
    echo -e " [${ANSI_GREEN}OK${ANSI_STOP}]"  
  else
    echo -e " [${ANSI_RED}KO${ANSI_STOP}]";
    cat result.log | more
    exit
  fi  
}

execute "Clean up\n" 'rmcol "nodes/Billet/Artisan, Numérique" \n rmcol "nodes/Billet/Artisan2, Numérique" \n rmcol "nodes/Billet/Fumiste, Numérique" \n '

execute "New node/Wrong place .......... " 'mkdir "Artisan, Numérique" \n ls \n'
check_has_string "501 Not Implemented"

execute "New node/Wrong place 2 ........ " 'cd nodes \n mkdir "Artisan, Numérique" \n ls \n'
check_has_string "501 Not Implemented"

execute "Creating a new node ........... " 'cd "nodes/Billet" \n mkdir "Artisan, Numérique" \n ls \n'
check_has_string "Artisan, Numérique"

execute "Locking the node .............. " 'cd "nodes/Billet/Artisan, Numérique" \n lock "content.html" \n'
check_has_string "succeeded"

execute "Getting the content ........... " 'cd "nodes/Billet/Artisan, Numérique" \n cat content.html \n'
check_has_string "Created by Drupal"

echo "Créé par Drupal WebDAV Module" > new_content.html
execute "Putting the content ........... " 'cd "nodes/Billet/Artisan, Numérique" \n put new_content.html content.html \n cat content.html \n'
check_has_string "Créé par Drupal WebDAV Module"

#execute "Unlocking the node ............ " 'cd "nodes/Billet/Artisan, Numérique" \n unlock "content.html" \n'
#check_has_string "succeeded"

execute "Uploading a file .............. " 'cd "nodes/Billet/Artisan, Numérique/files" \n put test.pdf \n ls'
check_has_string "1460698"

if [ -f test1.pdf ] ; then
  rm -rf test1.pdf
fi
execute "Downloading a file ............ " 'cd "nodes/Billet/Artisan, Numérique/files" \n get test.pdf test1.pdf \n lls'
check_has_string "test1.pdf"

echo "Contenu text" > file.txt
execute "Replacing a file .............. " 'cd "nodes/Billet/Artisan, Numérique/files" \n put file.txt test.pdf \n ls'
check_has_string "13"

execute "Delete a file ................. " 'cd "nodes/Billet/Artisan, Numérique/files" \n delete test.pdf \n ls'
check_has_not_string "13"


execute "Copy the node ................. " 'cd "nodes/Billet" \n cp "Artisan, Numérique" "Artisan2, Numérique" \n ls'
check_has_string "Artisan2, Numérique"

execute "Changing node title............ " 'cd "nodes/Billet" \n move "Artisan, Numérique" "Fumiste, Numérique" \n ls'
check_has_string "Fumiste, Numérique"

execute "Deleting the node ............. " 'cd "nodes/Billet" \n rmcol "Fumiste, Numérique" \n ls\n'
check_has_string "succeeded"

execute "Deleting the node copy ........ " 'cd "nodes/Billet" \n rmcol "Artisan2, Numérique" \n ls\n'
check_has_string "succeeded"

execute "Check node is gone ............ " 'cd "nodes/Billet" \n ls\n'
check_has_not_string "Fumiste, Numérique"

