<?

/* This file is part of "DAV Drupal Module".
 *    Copyright 2008, karma-lab.net
 *    Author : Yoran Brault
 *    eMail  : software@_bad_karma-lab.net (remove _bad_ before sending an email)
 *    Site   : http://artisan.karma-lab.net
 *
 * "DAV Drupal Module" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "DAV Drupal Module" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "DAV Drupal Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


/**
 * WebDAV server configuration form.
 *
 * @return form
 */
function webdav_admin_settings() {
  $form=array();
  $form['webdav_debugging'] = array (
    '#type' => 'fieldset',
    '#title' => t('Debugging'),
    '#weight' => -2,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['webdav_debugging']['webdav_watch_dog'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Use WatchDog"), 
      '#default_value' => webdav_watch_dog(), 
      '#description' => t("Log every user access to watchdog.")
  );

  $form['webdav_debugging']['webdav_debug_level'] = array (
        '#title' => t("Debug level"),
        '#description' => t("Set the debugging output level. Every logging will use php error_log function. On UNIX system, this will end up in apache error logs."),
        '#type' => 'select',
        '#default_value' => webdav_debug_level(), 
        '#options' => array (
  0 => t('Disabled'),
  1 => t('Enabled'),
  2 => t('Verbose'),
  3 => t('Full'),
  )
  );  
  
  $form['webdav_http']= array (
    '#type' => 'fieldset',
    '#title' => t('HTTP settings'),
    '#weight' => -3,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['webdav_http']['webdav_http_compression'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Compression"), 
      '#default_value' => webdav_http_compression(), 
      '#description' => t("Activate WebDAV HTTP compression for text contents.")
  );  
  $form['webdav_http']['webdav_listing_full_page'] = array (
      '#type' => 'checkbox', 
      '#title' => t("Listing full page"), 
      '#default_value' => webdav_listing_full_page(), 
      '#description' => t("WebDAV listing in full page or in a node style")
  );    

  $form['webdav_dav']= array (
    '#type' => 'fieldset',
    '#title' => t('DAV settings'),
    '#weight' => -1,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['webdav_dav']['webdav_lock_timeout'] = array (
      '#type' => 'textfield', 
      '#title' => t("Locks timeout"), 
      '#default_value' => webdav_lock_timeout(), 
      '#description' => t("Delay before a lock is automaticaly released (seconds).")
  );    
    return system_settings_form($form);
}