<?

/* This file is part of "DAV Drupal Module".
 *    Copyright 2008, karma-lab.net
 *    Author : Yoran Brault
 *    eMail  : software@_bad_karma-lab.net (remove _bad_ before sending an email)
 *    Site   : http://artisan.karma-lab.net
 *
 * "DAV Drupal Module" is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * "DAV Drupal Module" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with "DAV Drupal Module"; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


global $language;

$locale=$language->prefix;
$site=variable_get('site_name', 'Drupal site');
$title=t("@site - '@folder' WebDAV folder...", array(
  '@site'=>$site,
  '@folder'=>($root['name']==''?t("WebDAV Root"):$root['name']),
));
?>
<h2><?=$title ?></h2>
<div class='webdav-listing'>
<table>
	<tr>
		<th class='icon' width="22px">&nbsp;</th>
		<th class='filename'><?= t("Filename")?></th>
		<th><?= t("type")?></th>
		<th><?= t("Size")?></th>
		<th><?= t("Created")?></th>
		<th><?= t("Modified")?></th>
	</tr>
	<tr>
		<td><img
			src="/<?=drupal_get_path('module', 'webdav')."/images/up.png" ?>" /></td>
		<td><a href=".."><?= $root['name']==''?t('Return to @site', array('@site'=>$site)):t('Parent folder') ?></a></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<?
	$count=0;
	foreach ($items as $_item) {
	  $type=drupal_get_path('module', 'webdav')."/images/mimetypes/".str_replace("/", "-", $_item['type']).".png";
	  if (!file_exists($type)) {
	    $ipos=strpos($_item['type'], "/");
	    if ($ipos!==false) {
	      $type=drupal_get_path('module', 'webdav')."/images/mimetypes/".substr($_item['type'], 0, $ipos).".png";
	    }
	  } 
	  if (!file_exists($type)) {
	    $type=drupal_get_path('module', 'webdav')."/images/mimetypes/unknown.png";
	  }
	  ?>
	<tr <?=$count%2==0?"class='a'":""?>>
		<td><img src="/<?=$type ?>" /></td>
		<td><a href="<?=$_item['id']?>"><?= $_item['name'] ?></a></td>
		<td><?= $_item['type']=='collection'?'':$_item['type'] ?></td>
		<td><?= $_item['size'] ?></td>
		<td><?= format_date($_item['created'],'small') ?></td>
		<td><?= format_date($_item['changed'],'small') ?></td>
	</tr>
	<?
	$count++;
	}
	?>
</table>


</div>
<!-- Haha, I make myself giggle sometime :-) -->
<div class='powered-by'>
Powered by <a href="http://drupal.org/projects/webdav" target="_blank">WebDAV Server for Drupal</a>
</div>